
QGIS Application - Bug report #4110

order of layers changes when they are added to a group

2011-07-22 04:26 AM - Alister Hood

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14092

Description

Open a project, create a new group, select some layers and drag them into the group.  The order of the layers will change (if it does not,

maybe try it again after changing the order of the layers).

It would be nice if the order stayed the same.

Associated revisions

Revision afef14bf - 2015-12-06 10:54 PM - Sebastian Dietrich 

sort the indexes when generating layer tree mime data (fixes #4110)

Revision b64ebfb2 - 2015-12-14 04:38 AM - Nathan Woodrow

Merge pull request #2543 from SebDieBln/SortLayerTreeMimedata

Sort the indexes when generating layer tree mime data (fixes #4110)

History

#1 - 2011-12-16 02:12 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2012-04-16 06:29 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

#3 - 2012-09-04 11:58 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2014-06-28 07:40 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#5 - 2015-12-03 08:49 AM - Médéric RIBREUX

Hello, bug triage...

in QGIS 2.13 master, the layers are added in the selection order if you have used Ctrl + Mouse click to select the layers.

They are added on the first order when selected with Shift + Mouse click.
So, if you have selected two layers in a reverse order with Ctrl, the layers will be added in this reverse order in the group.

We need to fix this behavior: Ctrl selection should preserve the layer order.

#6 - 2015-12-06 12:44 PM - Sebastian Dietrich

See PR 2543 for a solution.

Note that the unintended reordering also happens when

    -  moving layers out of a group 

    -  moving layers within the layer tree

    -  exporting layers to a qlr-file

All of these are fixed by the mentioned PR.

#7 - 2015-12-13 07:39 PM - Nathan Woodrow

- Status changed from Open to Closed

Fixed in changeset commit:"b64ebfb2e25cf6c5eca12ead2e2f2b1f2dbe1376".
https://github.com/qgis/QGIS/pull/2543

